Supported & Unsupported Browsers

The Desmos calculators take full advantage of many new web technologies so that we can offer the best possible features to our users. Modern web browsers provide the capabilities that we need in order to draw and animate graphs smoothly, to respond to input instantly, and to perform heavy computations quickly.

Older web browsers don't always have the same capabilities, which causes three kinds of problems:

1. Some features just don't work at all.
2. Many features will work, but will be much slower or less responsive.
3. It requires a lot of time to keep every new feature working on older browsers, and limits what we can do. We think that time is better spent improving the experience for users on the browsers that work best with the Desmos calculators because they support the latest technologies.

With that in mind, Desmos is committed to supporting the two most recent versions of the following major modern browsers:
1. Chrome (https://www.google.com/chrome/)
2. Firefox (https://www.mozilla.org/firefox/)
3. Safari (https://www.apple.com/safari/)
4. Edge (https://www.microsoft.com/en-us/windows/microsoft-edge)

For the time being, we also support Internet Explorer 11.

This doesn't mean that Desmos won't run at all in other browsers, but these are the browsers and versions that we develop in, test against, and monitor for issues.

If your browser is unsupported, try installing the latest version of one of the browsers listed above. They are all free to download and use. If you are at a school, at work, or in another setting where you cannot install new software, talk to your IT department about upgrading the browsers on your computer.

 
Have more questions? Submit a request

4 Comments

  • 0
    Avatar
    Rupesh Maitra

    We are using IE9 and we still get the same error message about unsupported browser. Can you please fix this issue as we have all  our teaching staff having problem opening.

  • 0
    Avatar
    akshaydada

    If it could help or boost their Android phone, most importantly they really want to understand. How will they get informed regarding it if your application is ineffective? Go craft an excellent application. http://appsviral.com/

  • 0
    Avatar
    IAnthonyIsAwesome

    Rupesh Maitra, you should get a different browser such as chrome or firefox if you are still using IE9.

  • 0
    Avatar
    Craig Ogden

    I am now getting this message with Firefox version 53.0.3:

    Secure Connection Failed

    The connection to www.desmos.com was interrupted while the page was loading.

        The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
        Please contact the website owners to inform them of this problem.

     

    Never received this before the update.

    Edited by Craig Ogden
Article is closed for comments.
Powered by Zendesk